Subject: [Sipping] Where's our standard for fax negotiation?

From: "Joel Payeur" <[email-masked]>
Date: Wed, 8 Oct 2003 08:57:06 -0400

Hi,
In the last few years we have been playing around with SIP fax implementations of all kinds.  Everyone has different DSP limitations, and I believe that current fax BCP draft-ietf-sipping-realtimefax-01.txt has issued from some limitations (for example DSPs that can't switch dynamically).
I was wondering:
1- Why is this draft a best current practice.  Can't we process it as a RFC like all the rest?  It's kinda hard to press people to change their code when you rely on best current practices.
2- Is there still work being done on the subject? If so, where can i see what's going on, how can I help?
3- For clear channel fax, not knowing whether the reinvite is clear channel or normal PCM causes us problems, can we do something about that, a new attribute a=fax perhaps?

As more and more customer sites are installed, the need to have a standard way of doing SIP fax renegotiation will become a must.  Since interoperability is often required, we must rely on a strong RFC to which we can refer. I thank the authors for the efforts that have been made up to now, which have been of great help.

Joel

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP